# ARBIndirectParameters (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBIndirectParameters

    java.lang.Object
      org.lwjgl.opengl.ARBIndirectParameters

    public final class ARBIndirectParameters

extends java.lang.Object

Field Summary
`static int` `GL_PARAMETER_BUFFER_ARB` Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, and CopyBufferSubData:
`static int` `GL_PARAMETER_BUFFER_BINDING_ARB` Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glMultiDrawArraysIndirectCountARB(int mode, java.nio.ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)`
`static void` `glMultiDrawArraysIndirectCountARB(int mode, java.nio.IntBuffer indirect, long drawcount, int maxdrawcount, int stride)` Overloads glMultiDrawArraysIndirectCountARB.
`static void` `glMultiDrawArraysIndirectCountARB(int mode, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)`
`static void` `glMultiDrawElementsIndirectCountARB(int mode, int type, java.nio.ByteBuffer indirect, long drawcount, int maxdrawcount, int stride)`
`static void` `glMultiDrawElementsIndirectCountARB(int mode, int type, java.nio.IntBuffer indirect, long drawcount, int maxdrawcount, int stride)` Overloads glMultiDrawElementsIndirectCountARB.
`static void` `glMultiDrawElementsIndirectCountARB(int mode, int type, long indirect_buffer_offset, long drawcount, int maxdrawcount, int stride)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PARAMETER_BUFFER_ARB

    public static final int GL_PARAMETER_BUFFER_ARB

  Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, and CopyBufferSubData:

  See Also:
    Constant Field Values

### GL_PARAMETER_BUFFER_BINDING_ARB

    public static final int GL_PARAMETER_BUFFER_BINDING_ARB

  Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glMultiDrawArraysIndirectCountARB

    public static void glMultiDrawArraysIndirectCountARB(int mode,
                                                         java.nio.ByteBuffer indirect,
                                                         long drawcount,
                                                         int maxdrawcount,
                                                         int stride)

### glMultiDrawArraysIndirectCountARB

    public static void glMultiDrawArraysIndirectCountARB(int mode,
                                                         long indirect_buffer_offset,
                                                         long drawcount,
                                                         int maxdrawcount,
                                                         int stride)

### glMultiDrawArraysIndirectCountARB

    public static void glMultiDrawArraysIndirectCountARB(int mode,
                                                         java.nio.IntBuffer indirect,
                                                         long drawcount,
                                                         int maxdrawcount,
                                                         int stride)

  Overloads glMultiDrawArraysIndirectCountARB.

### glMultiDrawElementsIndirectCountARB

    public static void glMultiDrawElementsIndirectCountARB(int mode,
                                                           int type,
                                                           java.nio.ByteBuffer indirect,
                                                           long drawcount,
                                                           int maxdrawcount,
                                                           int stride)

### glMultiDrawElementsIndirectCountARB

    public static void glMultiDrawElementsIndirectCountARB(int mode,
                                                           int type,
                                                           long indirect_buffer_offset,
                                                           long drawcount,
                                                           int maxdrawcount,
                                                           int stride)

### glMultiDrawElementsIndirectCountARB

    public static void glMultiDrawElementsIndirectCountARB(int mode,
                                                           int type,
                                                           java.nio.IntBuffer indirect,
                                                           long drawcount,
                                                           int maxdrawcount,
                                                           int stride)

  Overloads glMultiDrawElementsIndirectCountARB.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.